{
  "name": "vite-react-typescript-starter",
  "private": true,
  "version": "1.0.3",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "server": "node server/index.js",
    "prisma-seed": "npx prisma db seed",
    "db:seed": "node prisma/seed.js",
    "generate-sitemap": "node scripts/generate-sitemap.js"
  },
  "prisma": {
    "seed": "npx ts-node --project tsconfig.node.json --compiler-options {\"module\":\"CommonJS\"} prisma/seed.ts"
  },
  "dependencies": {
    "@aws-sdk/client-s3": "^3.525.0",
    "@aws-sdk/s3-request-presigner": "^3.525.0",
    "@headlessui/react": "^2.2.2",
    "@prisma/client": "^6.2.1",
    "@tiptap/extension-highlight": "^2.11.5",
    "@tiptap/extension-image": "^2.11.5",
    "@tiptap/extension-link": "^2.11.7",
    "@tiptap/extension-text-align": "^2.11.5",
    "@tiptap/pm": "^2.2.4",
    "@tiptap/react": "^2.2.4",
    "@tiptap/starter-kit": "^2.2.4",
    "axios": "^1.6.7",
    "bcryptjs": "^2.4.3",
    "cors": "^2.8.5",
    "date-fns": "^4.1.0",
    "dotenv": "^16.4.5",
    "express": "^4.21.2",
    "jsonwebtoken": "^9.0.2",
    "lodash": "^4.17.21",
    "lucide-react": "^0.344.0",
    "multer": "1.4.5-lts.1",
    "react": "^18.3.1",
    "react-day-picker": "^9.7.0",
    "react-dom": "^18.3.1",
    "react-dropzone": "^14.2.3",
    "react-helmet-async": "^2.0.5",
    "react-router-dom": "^6.22.3",
    "sitemap": "^8.0.0",
    "uuid": "^9.0.1",
    "winston": "^3.11.0",
    "winston-daily-rotate-file": "^5.0.0",
    "zustand": "^4.5.1"
  },
  "devDependencies": {
    "@eslint/js": "^9.9.1",
    "@types/bcryptjs": "^2.4.6",
    "@types/cors": "^2.8.17",
    "@types/express": "^5.0.0",
    "@types/jsonwebtoken": "^9.0.7",
    "@types/lodash": "^4.17.16",
    "@types/multer": "^1.4.11",
    "@types/node": "^22.10.7",
    "@types/react": "^18.3.5",
    "@types/react-dom": "^18.3.0",
    "@types/uuid": "^9.0.8",
    "@types/winston": "^2.4.4",
    "@vitejs/plugin-react": "^4.3.4",
    "autoprefixer": "^10.4.20",
    "eslint": "^9.9.1",
    "eslint-plugin-react-hooks": "^5.1.0-rc.0",
    "eslint-plugin-react-refresh": "^0.4.11",
    "globals": "^15.9.0",
    "postcss": "^8.4.49",
    "prisma": "^6.2.1",
    "tailwindcss": "^3.4.17",
    "typescript": "^5.5.3",
    "typescript-eslint": "^8.3.0",
    "vite": "^5.4.14"
  }
}
